﻿<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
<xsl:output method="text" encoding="utf-8"	indent="yes" />
		
<xsl:template match="evaluations">
	<xsl:for-each-group select="evaluation" group-by="@matiere">
		<xsl:sort select="current-grouping-key()"/>
		<xsl:text>Matière : </xsl:text><xsl:value-of select="current-grouping-key()"/>
		<xsl:call-template name="rl"/>
		<xsl:text>Nombre d'évaluations : </xsl:text><xsl:value-of select="count(current-group())"/>
		<xsl:call-template name="rl"/>
		<xsl:text>Note min : </xsl:text><xsl:value-of select="min(current-group()/note)"/>
		<xsl:call-template name="rl"/>
		<xsl:text>Note max : </xsl:text><xsl:value-of select="max(current-group()/note)"/>
		<xsl:call-template name="rl"/>
		<xsl:text>Moyenne : </xsl:text><xsl:value-of select="avg(current-group()/note)"/>
		<xsl:call-template name="rl"/>
		<xsl:text>Notes : </xsl:text>
		<xsl:for-each select="current-group()">
			<xsl:value-of select="note"/>
			<xsl:if test="not(position() = last())">
				<xsl:text>-</xsl:text>
			</xsl:if>
		</xsl:for-each>
	<xsl:call-template name="rl"/>
	<xsl:call-template name="rl"/>
	</xsl:for-each-group>
</xsl:template>

<!-- cet patron nommé permet de générer un saut de ligne -->
<xsl:template name ="rl">
<xsl:text>
</xsl:text>
</xsl:template>
</xsl:stylesheet>
