<?xml version="1.0" encoding="iso-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
xmlns:xs="http://www.w3.org/2001/XMLSchema" version="2.0">
<xsl:output method="html" encoding="utf-8"/>

<xsl:template match="Ligne">
<html>
 <head>
	<title>Ligne : <xsl:value-of select="@nom" /></title>
 </head>
	<body>
		<h1><b>Ligne : <xsl:value-of select="@nom" />  </b></h1>
		<xsl:for-each select="ListeTrains">
		<!-- On peut ecrire
		<xsl:for-each-group select="ListeTrains/Train" group-by="@type"> 
		et on supprime le premier for-each <xsl:for-each select="ListeTrains>"-->
			<xsl:for-each-group select="Train" group-by="@type">
				<xsl:sort select="current-grouping-key()" order="ascending" data-type="text"/>
					<h2><b><xsl:value-of select="current-grouping-key()"/></b></h2>
					<xsl:for-each select="current-group()">
					    <xsl:sort select="xs:time(Depart/@heure)" order="ascending"/>
						<xsl:value-of select="@type" /><xsl:text> </xsl:text>
						<xsl:value-of select="@num" /><xsl:text> </xsl:text>
						<xsl:value-of select="Depart/@gare" /><xsl:text> </xsl:text>
						<xsl:value-of select="Depart/@heure" /><xsl:text> </xsl:text>
						<xsl:value-of select="Destination/@gare"/><xsl:text> </xsl:text>
						<xsl:value-of select="Destination/@heure"/><xsl:text> </xsl:text>	
						<br/>	
					</xsl:for-each>			
			</xsl:for-each-group>			
		</xsl:for-each>
	</body>
</html>
</xsl:template>
</xsl:stylesheet>