﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xs="http://www.w3.org/2001/XMLSchema" version="2.0">
<xsl:output method="html" encoding="utf-8"/>

<xsl:template match="Ligne">
<html>
	<head>
	<title>Ligne : <xsl:value-of select="@nom" /></title>
	</head>
	<body>
		<h1><b>Ligne : <xsl:value-of select="@nom" /> </b></h1>
		
		<h2><b> TER  </b></h2>
		<xsl:for-each select="ListeTrains/Train">
		<xsl:sort select="xs:time(Depart/@heure)" order="ascending"/>
            <xsl:if test="@type='TER'">  
				<xsl:value-of select="@type" /><xsl:text> </xsl:text>
				<xsl:value-of select="@num" /><xsl:text> </xsl:text>
				<xsl:value-of select="Depart/@gare" /><xsl:text> </xsl:text>
				<xsl:value-of select="Depart/@heure" /><xsl:text> </xsl:text>
				<xsl:value-of select="Destination/@gare" /><xsl:text> </xsl:text>
				<xsl:value-of select="Destination/@heure" /><xsl:text> </xsl:text>	
				<br/>
            </xsl:if> 
		</xsl:for-each>
		 
		 <h2><b> TGV </b></h2>
		 <!-- remplacer le if avec un test dans ListeTrains/Train[@type='TGV'] -->
		<xsl:for-each select="ListeTrains/Train[@type='TGV']">
		<xsl:sort select="xs:time(Depart/@heure)" order="ascending"/> 
                <!-- remplace l'ecriture des propriete du train par appel de template-->		
				<xsl:apply-templates select="." />
		</xsl:for-each>
	</body>
</html>
</xsl:template>

 <xsl:template match="Train">
		<xsl:value-of select="@type" /><xsl:text> </xsl:text>
		<xsl:value-of select="@num" /><xsl:text> </xsl:text>
		<xsl:value-of select="Depart/@gare" /><xsl:text> </xsl:text>
		<xsl:value-of select="Depart/@heure" /><xsl:text> </xsl:text>
		<xsl:value-of select="Destination/@gare" /><xsl:text> </xsl:text>
		<xsl:value-of select="Destination/@heure" /><xsl:text> </xsl:text>	
		<br/>
  </xsl:template>
</xsl:stylesheet>